function [A, versch_L1, versch_L2] = m_mask2A(m_mask)

if size(m_mask, 2) == 3 % 2D
    % Trger der Maske bestimmen
    L1 = min(m_mask(:, 1));
    R1 = max(m_mask(:, 1));
    L2 = min(m_mask(:, 2));
    R2 = max(m_mask(:, 2));
    
    LL = min([L1, L2]);
    RR = max([R1, R2]);
    
    L1 = LL;
    L2 = LL;
    R1 = RR;
    R2 = RR;
    
    versch_L1 = 0;
    versch_L2 = 0;

    if L1 < 0 
        if mod(L1, 2) == 1
            L1 = L1 - 1;
            %R1 = R1 + sign(R1);
        end
        versch_L1 = abs(L1);
    end
    if L2 < 0 
        if mod(L2, 2) == 1
            L2 = L2 - 1;
            %R2 = R2 + sign(R2);
        end
        versch_L2 = abs(L2);
    end
    
    N1 = abs(R1 - L1 + 1);
    N2 = abs(R2 - L2 + 1);

    A = cell(N1, N2);

    % A initialisieren
    for i = 1:N1
        for j = 1:N2
            A{i, j} = 0;
        end
    end

    for i = 1:size(m_mask, 1)
        A{m_mask(i, 1) + versch_L1 + 1, m_mask(i, 2) + versch_L2 + 1} = m_mask(i, 3);
    end
elseif size(m_mask, 2) == 2 % 1D
    % Trger der Maske bestimmen
    L1 = min(m_mask(:, 1));
    R1 = max(m_mask(:, 1));
        
    versch_L1 = 0;
    versch_L2 = 0;

    if L1 < 0
        if mod(L1, 2) == 1
            L1 = L1 - 1;
            R1 = R1 + sign(R1);
        end
        versch_L1 = abs(L1);
    end
    
    N1 = abs(R1 - L1 + 1);
    
    A = cell(N1, 1);

    % A initialisieren
    for i = 1:N1
        A{i, 1} = 0;
    end

    for i = 1:size(m_mask, 1)
        A{m_mask(i, 1) + versch_L1 + 1, 1} = m_mask(i, 2);
    end
end